project:
  name: project
  collection: vision.projects
  attributes:
  - &project
    parameter_name: projectsId
    attribute_name: project
    help: The project name of {resource}.
    property: core/project

location:
  name: location
  collection: vision.projects.locations
  attributes:
  - *project
  - &location
    parameter_name: locationsId
    attribute_name: location
    help: The location of {resource}.

# TODO(b/141858337): Delete this and just use entry above
non_primary_location:
  name: location
  collection: vision.projects.locations
  attributes:
  - *project
  - parameter_name: locationsId
    attribute_name: location
    help: The location of {resource}.

product_set:
  name: product set
  collection: vision.projects.locations.productSets
  request_id_field: productSetId
  attributes:
  - *project
  - *location
  - &product_set
    parameter_name: productSetsId
    attribute_name: product_set
    help: The ID of the product set.

product_set_product:
  name: product set
  collection: vision.projects.locations.productSets.products
  attributes:
  - *project
  - *location
  - parameter_name: productSetsId
    attribute_name: product-set
    help: The ID of the product set.

product:
  name: product
  collection: vision.projects.locations.products
  request_id_field: productId
  attributes:
  - *project
  - *location
  - &product
    parameter_name: productsId
    attribute_name: product
    help: The ID of product.

operation:
  name: operation
  collection: vision.operations
  attributes:
  - parameter_name: operationsId
    attribute_name: operation
    help: The ID of the operation.

reference_image:
  name: reference image
  collection: vision.projects.locations.products.referenceImages
  request_id_field: referenceImageId
  attributes:
  - *project
  - *location
  - *product
  - &reference_iamge:
    parameter_name: referenceImagesId
    attribute_name: reference_image
    help: The ID of the reference image.
